package com.jasamedika.medifirst2000.vo;

import java.util.Date;
import java.util.HashSet;
import java.util.Set;

import javax.persistence.CascadeType;
import javax.persistence.FetchType;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class PenyusunanEPlanningVO extends BaseTransactionVO {

	@ManyToOne
	@Caption(value = "Object Unit Kerja")
	private UnitKerjaVO unitKerja;

	@Caption(value = "Status")
	private String status;

	@Caption(value = "Tanggal Usulan")
	private Date tglUsulan;

	@Caption(value = "Periode Anggaran")
	private Date periodeAnggaran;

	@OneToMany(cascade = CascadeType.ALL, fetch = FetchType.LAZY, mappedBy = "penyusunanEPlanning")
	@Caption(value = "penyusunanDetailEPlanningSet")
	private Set<PenyusunanDetailEPlanningVO> penyusunanDetailEPlanningSet = new HashSet<PenyusunanDetailEPlanningVO>();

	public UnitKerjaVO getUnitKerja() {
		return unitKerja;
	}

	public void setUnitKerja(UnitKerjaVO unitKerja) {
		this.unitKerja = unitKerja;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public Date getTglUsulan() {
		return tglUsulan;
	}

	public void setTglUsulan(Date tglUsulan) {
		this.tglUsulan = tglUsulan;
	}

	public Date getPeriodeAnggaran() {
		return periodeAnggaran;
	}

	public void setPeriodeAnggaran(Date periodeAnggaran) {
		this.periodeAnggaran = periodeAnggaran;
	}

	public Set<PenyusunanDetailEPlanningVO> getPenyusunanDetailEPlanningSet() {
		return penyusunanDetailEPlanningSet;
	}

	public void setPenyusunanDetailEPlanningSet(Set<PenyusunanDetailEPlanningVO> penyusunanDetailEPlanningSet) {
		this.penyusunanDetailEPlanningSet = penyusunanDetailEPlanningSet;
	}

}
